Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.pubsub
Enum NodeSubscription.State

    java.lang.Object
      java.lang.Enum<NodeSubscription.State>
          org.jivesoftware.openfire.pubsub.NodeSubscription.State

All Implemented Interfaces:
  Serializable, Comparable<NodeSubscription.State>

Enclosing class:
  NodeSubscription

    public static enum NodeSubscription.State

extends Enum<NodeSubscription.State>

Subscriptions to a node may exist in several states. Delivery of event notifications varies according to the subscription state of the user with the node.

Enum Constant Summary
`none` The node will never send event notifications or payloads to users in this state.
`pending` An entity has requested to subscribe to a node and the request has not yet been approved by a node owner.
`subscribed` An entity is subscribed to a node.
`unconfigured` An entity has subscribed but its subscription options have not yet been configured.

Method Summary
`static NodeSubscription.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NodeSubscription.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### none

    public static final NodeSubscription.State none

  The node will never send event notifications or payloads to users in this state. Users with subscription state none and affiliation none are going to be deleted.

### pending

    public static final NodeSubscription.State pending

  An entity has requested to subscribe to a node and the request has not yet been approved by a node owner. The node will not send event notifications or payloads to the entity while it is in this state.

### unconfigured

    public static final NodeSubscription.State unconfigured

  An entity has subscribed but its subscription options have not yet been configured. The node will send event notifications or payloads to the entity while it is in this state. Default subscription configuration is going to be assumed.

### subscribed

    public static final NodeSubscription.State subscribed

  An entity is subscribed to a node. The node will send all event notifications (and, if configured, payloads) to the entity while it is in this state.

Method Detail

### values

    public static final NodeSubscription.State[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(NodeSubscription.State c : NodeSubscription.State.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static NodeSubscription.State valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.